Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## convert.relaxng.edit
Class DefineComponent

    java.lang.Object
      convert.relaxng.edit.SourceObject
          convert.relaxng.edit.Annotated
              convert.relaxng.edit.Component
                  convert.relaxng.edit.DefineComponent

    public class DefineComponent

extends Component

Field Summary
`static java.lang.String` | `START`

Constructor Summary
`DefineComponent(java.lang.String name, Pattern body)`

Method Summary
`
`<T> T`
` | `accept(ComponentVisitor<T> visitor)`
`Pattern` | `getBody()`
`Combine` | `getCombine()`
`java.lang.String` | `getName()`
`void` | `setBody(Pattern body)`
`void` | `setCombine(Combine combine)`
`void` | `setName(java.lang.String name)`

Methods inherited from class convert.relaxng.edit.Annotated
`attributeAnnotationsAccept, childElementAnnotationsAccept, followingElementAnnotationsAccept, getAttributeAnnotation, getAttributeAnnotations, getChildElementAnnotations, getContext, getFollowingElementAnnotations, getLeadingComments, leadingCommentsAccept, mayContainText, setContext`

Methods inherited from class convert.relaxng.edit.SourceObject
`getSourceLocation, setSourceLocation`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### START

    public static final java.lang.String START

Constructor Detail

### DefineComponent

    public DefineComponent(java.lang.String name,
                           Pattern body)

Method Detail

### getName

    public java.lang.String getName()

### setName

    public void setName(java.lang.String name)

### getBody

    public Pattern getBody()

### setBody

    public void setBody(Pattern body)

### getCombine

    public Combine getCombine()

### setCombine

    public void setCombine(Combine combine)

### accept

    public <T> T accept(ComponentVisitor<T> visitor)

  Specified by:
    `accept` in class `Component`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD